@use './colors' as colors;

:root {
  --background-color: #{colors.$white};
  --background-secondary-color: #{colors.$off-white};
  --background-hover-color: #{colors.$peach-secondary};
  --primary-button-color: #{colors.$burnt-orange};
  --secondary-button-color: #{colors.$peach-secondary};
  --primary-link-color: #{colors.$peach-primary};
  --accent-color: #{colors.$baby-blue};
  --foreground-color: #{colors.$charcoal};
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  background-color: var(--background-secondary-color);
}

body {
  max-width: 1200px;
  margin-inline: auto;
  background-color: var(--background-color);
  min-height: 100vh;
}
